Subject: [Lsr] Éric Vyncke's No Objection on draft-ietf-lsr-ospf-prefix-originator-10: (with COMMENT)

From: Éric Vyncke via Datatracker <[email-masked]>
Date: Mon, 05 Apr 2021 00:32:56 -0700

Éric Vyncke has entered the following ballot position for
draft-ietf-lsr-ospf-prefix-originator-10: No Objection

When responding, please keep the subject line intact and reply to all
email addresses included in the To and CC lines. (Feel free to cut this
introductory paragraph, however.)

Please refer to https://www.ietf.org/iesg/statement/discuss-criteria.html
for more information about IESG DISCUSS and COMMENT positions.

The document, along with other ballot positions, can be found here:
https://datatracker.ietf.org/doc/draft-ietf-lsr-ospf-prefix-originator/

----------------------------------------------------------------------
COMMENT:
----------------------------------------------------------------------

Thank you for the work put into this document. Easy to see the added value for
trouble shooting !

Please find below some non-blocking COMMENT points (but replies would be
appreciated).

I hope that this helps to improve the document,

Regards,

-éric

Thanks for fixing Warren Kumari's question in the latest -10.

-- Section 1 --
Is the reference to RFC 5329 correct ? I fail to see the link of TE with this
document.

Should it be made clearer that the OSPFv3 router ID is a 32-bit value hence
cannot be used in an IPv6-only network ? "it does not necessarily represent a
reachable address for the router" is slightly ambiguous.

-- Section 2.2 --
Thanks for fixing Warren Kumari's question in the latest -10.

-- Section 4 --
Suggestion: made the sentence "A rogue node that can inject prefix..." in a
separate paragraph.

---

From: "Ketan Talaulikar (ketant)" <[email-masked]>
Date: Mon, 5 Apr 2021 08:24:44 +0000

Hi Eric,

Thanks for your review and please check inline below for response/clarifications.

-----Original Message-----
From: Éric Vyncke via Datatracker <[email-masked]> 
Sent: 05 April 2021 13:03
To: The IESG <[email-masked]>
Cc: [email-masked]; [email-masked]; [email-masked]; Christian Hopps <[email-masked]>; [email-masked]; [email-masked]
Subject: Éric Vyncke's No Objection on draft-ietf-lsr-ospf-prefix-originator-10: (with COMMENT)

When responding, please keep the subject line intact and reply to all email addresses included in the To and CC lines. (Feel free to cut this introductory paragraph, however.)

Thank you for the work put into this document. Easy to see the added value for trouble shooting !

Please find below some non-blocking COMMENT points (but replies would be appreciated).

Regards,

-éric

-- Section 1 --
Is the reference to RFC 5329 correct ? I fail to see the link of TE with this document.
[KT] The reference to RFC5329 is required since it is the one that specified the "IPv6 Router Address" for OSPFv3 (https://tools.ietf.org/html/rfc5329#section-3) which is semantically equivalent to what this document is specifying for usage in the Prefix Source Router Address Sub-TLV for OSPFv3. 

Should it be made clearer that the OSPFv3 router ID is a 32-bit value hence cannot be used in an IPv6-only network ? "it does not necessarily represent a reachable address for the router" is slightly ambiguous.
[KT] The point was that even for OSPFv2, it does not have to represent a reachable IPv4 address of the router. For OSPFv3, this is obviously not so too. Ack - will fix in the next update.

-- Section 2.2 --

-- Section 4 --
Suggestion: made the sentence "A rogue node that can inject prefix..." in a separate paragraph.
[KT] Ack - will update in the next version.

Thanks,
Ketan

---

From: "Eric Vyncke (evyncke)" <[email-masked]>
Date: Mon, 5 Apr 2021 09:08:41 +0000

Ketan

Thank you for the prompt reply and action

-éric

-----Original Message-----
From: "Ketan Talaulikar (ketant)" <[email-masked]>
Date: Monday, 5 April 2021 at 10:24
To: Eric Vyncke <[email-masked]>, The IESG <[email-masked]>
Cc: "[email-masked]" <[email-masked]>, "[email-masked]" <[email-masked]>, "[email-masked]" <[email-masked]>, Christian Hopps <[email-masked]>, "[email-masked]" <[email-masked]>
Subject: RE: Éric Vyncke's No Objection on draft-ietf-lsr-ospf-prefix-originator-10: (with COMMENT)

    Hi Eric,

    -----Original Message-----
    From: Éric Vyncke via Datatracker <[email-masked]> 
    Sent: 05 April 2021 13:03
    To: The IESG <[email-masked]>
    Cc: [email-masked]; [email-masked]; [email-masked]; Christian Hopps <[email-masked]>; [email-masked]; [email-masked]
    Subject: Éric Vyncke's No Objection on draft-ietf-lsr-ospf-prefix-originator-10: (with COMMENT)

    Regards,

    -éric

    -- Section 1 --

    -- Section 2.2 --

    -- Section 4 --

    Thanks,
    Ketan